> For the complete documentation index, see [llms.txt](https://sugoi.gitbook.io/lanraragi/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://sugoi.gitbook.io/lanraragi/api-documentation/opds-catalog.md).

# OPDS Catalog

## Get the OPDS Catalog

> Get the Archive Index as an OPDS 1.2 Catalog with PSE 1.1 compatibility.

```json
{"openapi":"3.1.0","info":{"title":"LANraragi API","version":"0.9.6"},"tags":[{"name":"opds","description":"Endpoints related to OPDS catalog generation and serving."}],"servers":[{"url":"https://lrr.tvc-16.science/api"}],"paths":{"/opds":{"get":{"operationId":"getOpdsCatalog","summary":"Get the OPDS Catalog","description":"Get the Archive Index as an OPDS 1.2 Catalog with PSE 1.1 compatibility.","tags":["opds"],"parameters":[{"name":"category","in":"query","required":false,"schema":{"type":"string"},"description":"Category ID. If passed, the OPDS catalog will be filtered to only show archives from this category."}],"responses":{"200":{"description":"OPDS catalog XML","content":{"application/xml":{"schema":{"type":"string"}}}}}}}}}
```

## Get a specific archive through OPDS

> Returns a specific OPDS item as XML. This will show only one \<entry\\> for the given ID in the result, instead of all the archives.

```json
{"openapi":"3.1.0","info":{"title":"LANraragi API","version":"0.9.6"},"tags":[{"name":"opds","description":"Endpoints related to OPDS catalog generation and serving."}],"servers":[{"url":"https://lrr.tvc-16.science/api"}],"paths":{"/opds/{id}":{"get":{"operationId":"getOpdsItem","summary":"Get a specific archive through OPDS","description":"Returns a specific OPDS item as XML. This will show only one <entry\\> for the given ID in the result, instead of all the archives.","tags":["opds"],"parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OPDS entry XML","content":{"application/xml":{"schema":{"type":"string"}}}}}}}}}
```

## OPDS-PSE

> Returns a specific image page for OPDS-PSE as XML.

```json
{"openapi":"3.1.0","info":{"title":"LANraragi API","version":"0.9.6"},"tags":[{"name":"opds","description":"Endpoints related to OPDS catalog generation and serving."}],"servers":[{"url":"https://lrr.tvc-16.science/api"}],"paths":{"/opds/{id}/pse":{"get":{"operationId":"getOpdsPage","summary":"OPDS-PSE","description":"Returns a specific image page for OPDS-PSE as XML.","tags":["opds"],"parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}},{"name":"page","in":"query","required":false,"schema":{"type":"integer"}}],"responses":{"200":{"description":"Image file for the requested page","content":{"application/octet-stream":{"schema":{"type":"string","format":"binary"}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://sugoi.gitbook.io/lanraragi/api-documentation/opds-catalog.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
